<?php
	//STANDARD SCRIPT SERVER HEADER!!!
	$no_http_headers = true;

	/* display No errors */
	error_reporting(E_ERROR);

	include_once(dirname(__FILE__) . "/../include/config.php");
	include_once(dirname(__FILE__) . "/../lib/snmp.php");
	include_once(dirname(__FILE__) . "/../lib/ping.php");

	if (!isset($called_by_script_server)) {
	        array_shift($_SERVER["argv"]);
        	print call_user_func_array("ss_tping", $_SERVER["argv"]);
	}
	//End header.

function ss_tping($hostname, $ping_sweeps=6)
{
	$ping = new Net_Ping;

	$total_time = 0;
	$failed_results = 0;
	$i = 0;
	$ping->host["hostname"] = $hostname;

	while ($i < $ping_sweeps) {
		$result = $ping->ping(AVAIL_PING,
					PING_ICMP,
					read_config_option("ping_timeout"),
					1);

		if (!$result) {
			$failed_results++;
		}else{
			$total_time += $ping->ping_status;
		}

		$i++;
	}

	if ($failed_results == $ping_sweeps) {
		return "AV:U PL:100";
	}else{
		$loss = ($failed_results/$ping_sweeps) * 100;
	    $average = $total_time/($ping_sweeps-$failed_results);
		return sprintf("AV:%01.4f PL:%01.4f", $average, $loss);
	}
}
?>